using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Winform1
{
    public class TerminalTextBox : RichTextBox
    {
        public TerminalTextBox()
        {
            System.Drawing.Color bc = this.BackColor;
            this.ReadOnly = true;
            this.BackColor = bc;
        }

        protected override bool IsInputKey(Keys keyData)
        {
            if ((keyData & Keys.Tab) != 0) {
                return true;
            }
            return base.IsInputKey(keyData);
        }

        protected override bool IsInputChar(char charCode)
        {
            return base.IsInputChar(charCode);
        }
    }
}
