using System;
using System.Collections.Generic;
using System.Text;

namespace TelnetTests
{
    static class OptionCode
    {
        public const byte BinaryTransmission = 0;
        public const byte Echo = 1;
        public const byte Reconnection = 2;
        public const byte SuppressGoAhead = 3;
        public const byte ApproxMessageSizeNegotiation = 4;
        public const byte Status = 5;
        public const byte TimingMark = 6;
        public const byte RemoteControlledTransandEcho = 7;
        public const byte OutputLineWidth = 8;
        public const byte OutputPageSize = 9;
        public const byte OutputCarriage_ReturnDisposition = 10;
        public const byte OutputHorizontalTabStops = 11;
        public const byte OutputHorizontalTabDisposition = 12;
        public const byte OutputFormfeedDisposition = 13;
        public const byte OutputVerticalTabstops = 14;
        public const byte OutputVerticalTabDisposition = 15;
        public const byte OutputLinefeedDisposition = 16;
        public const byte ExtendedAscii = 17;
        public const byte Logout = 18;
        public const byte ByteMacro = 19;
        public const byte DataEntryTerminal = 20;
        public const byte Supdup = 21;
        public const byte SupdupOutput = 22;
        public const byte SendLocation = 23;
        public const byte TerminalType = 24;
        public const byte EndofRecord = 25;
        public const byte TacacsUserIdentification = 26;
        public const byte OutputMarking = 27;
        public const byte TerminalLocationNumber = 28;
        public const byte Telnet3270Regime = 29;
        public const byte Xdot3Pad = 30;
        public const byte NegotiateAboutWindowSize = 31;
        public const byte TerminalSpeed = 32;
        public const byte RemoteFlowControl = 33;
        public const byte Linemode = 34;
        public const byte XDisplayLocation = 35;
        public const byte EnvironmentOption = 36;
        public const byte AuthenticationOption = 37;
        public const byte EncryptionOption = 38;
        public const byte NewEnvironmentOption = 39;
        public const byte TN3270E = 40;
        public const byte XAuth = 41;
        public const byte Charset = 42;
        public const byte TelnetRemoteSerialPort = 43;
        public const byte ComPortControlOption = 44;
        public const byte TelnetSuppressLocalEcho = 45;
        public const byte TelnetStartTLS = 46;
        public const byte Kermit = 47;
        public const byte SendUrl = 48;
        public const byte ForwardX = 49;
        // Unassigned = 50-137;
        public const byte TelOptPragmaLogon = 138;
        public const byte TelOptSspiLogon = 139;
        public const byte TelOptPragmaHeartbeat = 140;
        public const byte ExtendedOptionsList = 255;
    }

}
